PETSc version 3.15.5
Fix/Edit manual page

# PetscGaussLobattoLegendreElementGradientDestroy

frees the gradient for a single 1d GLL element obtained with PetscGaussLobattoLegendreElementGradientCreate()

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreElementGradientDestroy(PetscInt n,PetscReal *nodes,PetscReal *weights,PetscReal ***AA,PetscReal ***AAT)

Not Collective

### Input Parameter

| n | - the number of GLL nodes
| nodes | - the GLL nodes
| weights | - the GLL weights
| AA | - the stiffness element
| AAT | - the transpose of the element

### See Also

PetscDTGaussLobattoLegendreQuadrature(), PetscGaussLobattoLegendreElementLaplacianCreate(), PetscGaussLobattoLegendreElementAdvectionCreate()

### Level

beginner

### Location

src/dm/dt/interface/dt.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages